NDSSchemaExtensions DEFINITIONS ::=
BEGIN

"ejbcaCertificateDER" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_SYNC_IMMEDIATE}
}


"ejbcaCommand" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_CI_STRING,
  Flags         {DS_SYNC_IMMEDIATE, DS_STRING_ATTR}
}


"ejbcaCertificateTimestamp" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_TIME,
  Flags         {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE}
}


"ejbcaCertificatePKCS12" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_SYNC_IMMEDIATE}
}


"ejbcaCertificateValidTo" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_TIME,
  Flags         {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE}
}


"ejbcaAuxClass" OBJECT-CLASS ::=
{
  Operation     ADD,
  Flags         {DS_AUXILIARY_CLASS, DS_AMBIGUOUS_CONTAINMENT, DS_AMBIGUOUS_NAMING},
  MayContain    {"ejbcaCertificateDER", "ejbcaCertificatePKCS12", "ejbcaCertificateTimestamp", "ejbcaCertificateValidTo", "ejbcaCommand"}
}


END
